<script setup lang="ts">
import { ref } from 'vue';
defineOptions({
  name: 'PosterDialog'
});
const alert = ref(false);
const text = ref('');

</script>

<template>
  <div class="q-pa-md q-gutter-sm">
    <q-btn round color="secondary" icon="add" @click="alert = true" />

    <q-dialog v-model="alert" persistent>
      <q-card class="bg-primary" style="min-width: 500px">
        <q-card-section class="row">
          <q-avatar>
            <q-img src="https://cdn.quasar.dev/img/avatar.png" />
          </q-avatar>
          <q-item clickable tag="a" href="#" class="col">
            <q-item-section>
              <q-item-label>
                <div class="text-h6">
                  John Doe
                  <span class="text-white">@djohn</span>
                </div>

              </q-item-label>
              <q-item-label caption>
                Vous êtes de la planète Clingon.
              </q-item-label>
            </q-item-section>
          </q-item>
          <q-btn flat icon="more_vert" >
            <q-menu
              transition-show="jump-down"
              transition-hide="jump-up"
              :style="{ backgroundColor: 'var(--q-secondary)', color: 'white'}"
            >
              <q-list style="min-width: 100px">
                <q-item clickable>
                  <q-item-section>Having fun</q-item-section>
                </q-item>
                <q-item clickable>
                  <q-item-section>
                    Brouillon
                  </q-item-section>
                </q-item>
                <q-separator />
                <q-item clickable @click="alert = false">
                  <q-item-section>
                    Fermer
                  </q-item-section>
                </q-item>
              </q-list>
            </q-menu>
          </q-btn>
        </q-card-section>

        <q-card-section>
          <q-input
            v-model="text"
            filled
            clearable
            type="textarea"
            color="secondary"
            bg-color="white"
            label="Quoi de neuf, User ?"
          />
        </q-card-section>

        <q-card-section class="q-pt-none">
          <q-btn flat icon="image" color="white" />
          <q-btn flat icon="gif_box" color="white" />
          <q-btn flat icon="emoji_emotions" color="white" />
          <q-btn flat icon="location_on" color="white" />
          <q-btn flat icon="pending_actions" color="white" />
        </q-card-section>

        <q-card-actions align="right">
          <q-btn color="secondary" icon="send" label="Poster" @click="alert = false" />
        </q-card-actions>
      </q-card>
    </q-dialog>
  </div>
</template>

<style scoped>

</style>
